// Paroliamo.cpp : definisce i comportamenti delle classi per l'applicazione.
//

#include "stdafx.h"
#include "Paroliamo.h"
#include "MainFrm.h"

#include "MainDoc.h"
#include "MainView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMainApp

BEGIN_MESSAGE_MAP(CMainApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	// Comandi di documenti basati su file standard
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()


// costruzione di CMainApp

CMainApp::CMainApp()
{
	// TODO: inserire qui il codice di costruzione.
	// Inserire l'inizializzazione significativa in InitInstance.
}


// L'unico e solo oggetto CMainApp

CMainApp theApp;

// Inizializzazione di CMainApp

BOOL CMainApp::InitInstance()
{
	// InitCommonControls()  necessario in Windows XP se nel manifesto
	// di un'applicazione  specificato l'utilizzo di ComCtl32.dll versione 6 o successiva per attivare
	// gli stili visuali. In caso contrario, non sar possibile creare finestre.
	InitCommonControls();

	CWinApp::InitInstance();

	// Inizializzare le librerie OLE.
	if (!AfxOleInit())
	{
		AfxMessageBox(IDP_OLE_INIT_FAILED);
		return FALSE;
	}
	AfxEnableControlContainer();
	// Inizializzazione standard
	// Se non si utilizzano queste funzionalit e si desidera ridurre la dimensione
	// dell'eseguibile finale,  necessario rimuovere dal seguente codice
	// le specifiche routine di inizializzazione che non sono necessarie.
	// Modificare la chiave del Registro di sistema in cui sono archiviate le impostazioni desiderate
	// TODO:  necessario modificare questa stringa in modo appropriato,
	// inserendo ad esempio il nome della societ o dell'organizzazione.
	SetRegistryKey(_T("RGPSoft"));
	LoadStdProfileSettings(4);  // Caricare le opzioni del file INI standard (inclusa MRU).
	// Registrare i modelli di documenti dell'applicazione. I modelli di documenti
	//  funzionano da connessione tra documenti, finestre cornice e viste.
	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CMainDoc),
		RUNTIME_CLASS(CMainFrame),       // finestra cornice SDI principale
		RUNTIME_CLASS(CMainView));
	AddDocTemplate(pDocTemplate);
	// Analizzare la riga di comando per i comandi shell standard, DDE, apri file
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);
	// Inviare comandi specificati nella riga di comando. Restituisce FALSE se
	// l'applicazione  stata avviata con l'opzione /RegServer, /Register, /Unregserver o /Unregister.
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	m_pMainWnd->SetWindowText(_T("Paroliamo 2005"));
	// L'unica e sola finestra  stata inizializzata, per cui  possibile visualizzarla e aggiornarla.
	m_pMainWnd->ShowWindow(SW_SHOWMAXIMIZED);
	m_pMainWnd->UpdateWindow();
	// richiamare DragAcceptFiles solo se  presente un suffisso.
	//  In un'applicazione SDI questo deve verificarsi dopo ProcessShellCommand.
	return TRUE;
}



// finestra di dialogo CAboutDlg utilizzata per visualizzare le informazioni sull'applicazione.

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dati della finestra di dialogo
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // supporto DDX/DDV

// Implementazione
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

// comando dell'applicazione per eseguire la finestra di dialogo
void CMainApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}


// gestori dei messaggi di CMainApp

